---
title: 'WebGL2RenderingContext.uniform[1234][uif][v]()'
slug: Web/API/WebGL2RenderingContext/uniform
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
  - WebGL2RenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.uniform[1234][uif][v]()</code></strong> methods of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specify values of uniform variables.</p>

<div class="note">
<p><code>ui</code> stands for <em>unsigned integer</em>, <code>i</code> for <em>integer, </em><code>f</code> for <em>float</em>, and <code>v</code> for <em>vector.</em><br>
 Not all combinations are valid: <code>u</code> cannot be combined with <code>f</code>. See the syntax table below. Equivalent Regex: <code>uniform[1234](u?i|f)v?</code></p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void gl.uniform1ui(location, v0);
void gl.uniform2ui(location, v0, v1);
void gl.uniform3ui(location, v0, v1, v2);
void gl.uniform4ui(location, v0, v1, v2, v3);
void gl.uniform1fv(location, data, optional srcOffset, optional srcLength);
void gl.uniform2fv(location, data, optional srcOffset, optional srcLength);
void gl.uniform3fv(location, data, optional srcOffset, optional srcLength);
void gl.uniform4fv(location, data, optional srcOffset, optional srcLength);
void gl.uniform1iv(location, data, optional srcOffset, optional srcLength);
void gl.uniform2iv(location, data, optional srcOffset, optional srcLength);
void gl.uniform3iv(location, data, optional srcOffset, optional srcLength);
void gl.uniform4iv(location, data, optional srcOffset, optional srcLength);
void gl.uniform1uiv(location, data, optional srcOffset, optional srcLength);
void gl.uniform2uiv(location, data, optional srcOffset, optional srcLength);
void gl.uniform3uiv(location, data, optional srcOffset, optional srcLength);
void gl.uniform4uiv(location, data, optional srcOffset, optional srcLength);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>location</dt>
 <dd>A {{domxref("WebGLUniformLocation")}} object containing the location of the uniform attribute to modify.</dd>
 <dt><code>data, v0, v1, v2, v3</code></dt>
 <dd>A new value to be used for the uniform variable. Possible types:
 <ul>
  <li>A {{jsxref("Number")}} for unsigned integer values (methods with <code>ui</code>), for integer values (methods with <code>i</code>), or for floats (methods with <code>f</code>).</li>
  <li>A {{jsxref("Uint32Array")}} for unsigned integer vector methods (methods with <code>uiv</code>).</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.8", "uniform")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glUniform.xhtml", "glUniform")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.uniform1ui")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.uniform()")}}</li>
</ul>
